declare @uid as varchar (50)
declare @idfuncionalidad as int
select @uid=uid from seg_usuario where id=1

--COTIZACION
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_cotizacion.aspx?st=4' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end

--REQUISICION
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_requisicion.aspx' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end

--ORDEN DE COMPRA
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_ordenCompra.aspx' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end

--ENTRADA
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_entrada.aspx' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end

--SALIDA
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_salida.aspx' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end

--TRASLADO
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_traslado.aspx' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end

--PRELIQUIDACION
set @idfuncionalidad=(select id from [gui_funcionalidad] where [nombreComando]='buscar' and [id_tipoFuncionalidad]=2 and [funcionalidad]='Buscar' and id_funcionalidad=(select id from [gui_funcionalidad]  where[url]='/forms/doc/doc_documento_cotizacion.aspx?st=5' and [id_tipoFuncionalidad]=3))
if not exists(select * from  [seg_perfil_funcionalidad] where [id_perfil]=2 and id_funcionalidad=@idfuncionalidad)
begin 
INSERT INTO [seg_perfil_funcionalidad](id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@idfuncionalidad,'01',@uid,'')
end